export function toBeObject(target) {
    const received = Array.isArray(target) ? 'array' : typeof target;
    return received === 'object' ? {
        message: ()=>'expected value not to be a object'
        ,
        pass: true
    } : {
        message: ()=>`expected value to be a object, got ${received} instead`
        ,
        pass: false
    };
}
export function toBeArray(target) {
    const received = Array.isArray(target) ? 'array' : typeof target;
    return received === 'array' ? {
        message: ()=>'expected value not to be an array'
        ,
        pass: true
    } : {
        message: ()=>`expected value to be an array, got ${received} instead`
        ,
        pass: false
    };
}
export function toBeEmpty(target) {
    if (typeof target[Symbol.iterator] !== 'function') {
        return {
            message: ()=>'expected value to be iterable and empty, but it is not iterable'
            ,
            pass: false
        };
    }
    const first = target[Symbol.iterator]().next();
    return first.done ? {
        message: ()=>'expected value not to be empty'
        ,
        pass: true
    } : {
        message: ()=>'expected value to be empty'
        ,
        pass: false
    };
}
