export function toHaveHTTPStatus(res, expected) {
    const received = res.statusCode;
    return received === expected ? {
        message: ()=>`expected response not to have HTTP status ${expected}`
        ,
        pass: true
    } : {
        message: ()=>`expected response to have HTTP status ${expected} but it has HTTP status ${received}`
        ,
        pass: false
    };
}
export function toBeJSON(res) {
    const received = res.headers['content-type'];
    return (received === null || received === void 0 ? void 0 : received.startsWith('application/json')) ? {
        message: ()=>'expected response not to be JSON'
        ,
        pass: true
    } : {
        message: ()=>`expected response to be JSON, but got ${JSON.stringify(received)} type instead`
        ,
        pass: false
    };
}
export function toBeText(res) {
    const received = res.headers['content-type'];
    return (received === null || received === void 0 ? void 0 : received.startsWith('text/plain')) ? {
        message: ()=>'expected response not to be text'
        ,
        pass: true
    } : {
        message: ()=>`expected response to be text, but got ${JSON.stringify(received)} type instead`
        ,
        pass: false
    };
}
